<?php

/*
 * Created on 11.02.2012
 * Oliver Soop(osoop1@ut.ee)
 */
 
include_once("../crawler/MainCrawler.php");
include_once ("../database/RSSDatabaseService.php");

/**
 * Skript, millega käivitada RSS-voogude roomamine
 * Käivitamisel tuleb anda argumendid andmebaasi vastava algus ja lõpp rea kohta, kus roomamine käivitatakse
 */
$args = $_SERVER['argv'];
if (count($args) > 2) {
	$start = $args[1];
	$end = $args[2];

	$urls = RSSDatabaseService :: getCrawlableUrls($start, $end);

	foreach ($urls as $url) {
		$crawler = new MainCrawler($url, "RSS");
		$crawler->setTimeLimit(500);
		$crawler->crawl();
		RSSDatabaseService :: setUrlCrawled($url);
	}

} else {
	echo "Puuduvad andmebaasi ridade arvud";
}

?>
